ID CVE-2021-20210
Summary A flaw was found in Privoxy in versions before 3.0.29. Memory leak in the show-status CGI handler when no filter files are configured can lead to a system crash.
References
Vulnerable Configurations
  • cpe:2.3:a:privoxy:privoxy:2.9.20:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:2.9.20:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.0:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.0:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.2:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.2:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.3:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.3:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.5:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.5:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.6:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.6:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.7:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.7:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.8:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.8:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.9:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.9:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.10:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.10:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.11:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.11:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.12:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.12:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.13:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.13:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.14:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.14:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.15:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.15:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.16:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.16:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.17:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.17:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.18:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.18:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.19:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.19:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.20:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.20:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.21:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.21:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.22:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.22:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.23:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.23:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.24:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.24:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.25:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.25:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.26:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.26:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.28:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.28:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.28-2.1:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.28-2.1:*:*:*:*:*:*:*
  • cpe:2.3:a:privoxy:privoxy:3.0.28-lp151.1.1:*:*:*:*:*:*:*
    cpe:2.3:a:privoxy:privoxy:3.0.28-lp151.1.1:*:*:*:*:*:*:*
  • cpe:2.3:o:redhat:enterprise_linux:7.0:*:*:*:*:*:*:*
    cpe:2.3:o:redhat:enterprise_linux:7.0:*:*:*:*:*:*:*
  • cpe:2.3:o:fedoraproject:fedora:33:*:*:*:*:*:*:*
    cpe:2.3:o:fedoraproject:fedora:33:*:*:*:*:*:*:*
CVSS
Base: 7.8 (as of 08-07-2021 - 07:15)
Impact:
Exploitability:
CWE CWE-401
CAPEC
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE COMPLETE
cvss-vector via4 AV:N/AC:L/Au:N/C:N/I:N/A:C
Last major update 08-07-2021 - 07:15
Published 25-03-2021 - 19:15
Last modified 08-07-2021 - 07:15
Back to Top